[ECOS] Context.s problem

Meulendijks, J. Meulendijks@WT.TNO.NL
Mon Sep 13 08:23:00 GMT 2004


I changed the gcc version. Now I have gcc 3.2.1, but I still have the same
problems :-s

-----Original Message-----
From: Andrew Lunn [mailto:andrew@lunn.ch]
Sent: maandag 13 september 2004 09:11
To: Meulendijks, J.
Cc: 'ecos-discuss@sources.redhat.com'
Subject: Re: [ECOS] Context.s problem


On Mon, Sep 13, 2004 at 08:54:02AM +0200, Meulendijks, J. wrote:
> GCC version 3.3.1
> 
> -----Original Message-----
> From: Andrew Lunn [mailto:andrew@lunn.ch]
> Sent: maandag 13 september 2004 08:51
> To: Meulendijks, J.
> Cc: 'ecos-discuss@sources.redhat.com'
> Subject: Re: [ECOS] Context.s problem
> 
> 
> On Mon, Sep 13, 2004 at 08:49:12AM +0200, Meulendijks, J. wrote:
> > When I try to build a library in Ecos configtool 2.11 I get the following
> > errors:
> > 
> > powerpc-eabi-gcc -c
> > -I/ecos-c/Cygwin/opt/ecos/ecos-2.0/eCos-Work/ec555_install/include
> > -I/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0
> > -I/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/src
> > -I/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/tests -I.
> > -I/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/src/
> -mcpu=505
> > -Wall -Wpointer-arith -Wstrict-prototypes -Winline -Wundef
> -Woverloaded-virtual
> > -g -O2 -ffunction-sections -fdata-sections -mmultiple -fno-rtti
> -fno-exceptions
> > -finit-priority -Wp,-MD,src/context.tmp -o src/hal_powerpc_arch_context.o
> >
/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/src/context.S
> >
/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/src/context.S:
> > Assembler messages:
> >
>
/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/src/context.S:11
> > 7: Error: unsupported relocation against CYGARC_PPC_CONTEXT_SIZE
> >
>
/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/src/context.S:12
> > 4: Error: unsupported relocation against CYGARC_PPCREG_REGS
> >
>
/ecos-c/Cygwin/opt/ecos/ecos-2.0/packages/hal/powerpc/arch/v2_0/src/context.S:12
> 
> What version of gcc are you using?
> 
>         Andrew

The pre-built toolchain eCosCentric provide is 3.2.1. That is known to
work.

        Andrew

-- 
Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss



More information about the Ecos-discuss mailing list